# OpalMessagePtr Class Reference

Wrapper around the OpalMessage structure. More...

`#include <opal.h>`

Collaboration diagram for OpalMessagePtr:

[legend]

## Public Member Functions

| OpalMessagePtr (OpalMessageType type=OpalIndCommandError)
| ~OpalMessagePtr ()
OpalMessageType | GetType () const
void | SetType (OpalMessageType type)
const char * | GetCallToken () const
| Used by OpalCmdHoldCall/OpalCmdRetrieveCall/OpalCmdStopRecording.
void | SetCallToken (const char *token)
const char * | GetCommandError () const
| Used by OpalIndCommandError.
OpalParamGeneral * | GetGeneralParams () const
| Used by OpalCmdSetGeneralParameters.
OpalParamProtocol * | GetProtocolParams () const
| Used by OpalCmdSetProtocolParameters.
OpalParamRegistration * | GetRegistrationInfo () const
| Used by OpalCmdRegistration.
OpalStatusRegistration * | GetRegistrationStatus () const
| Used by OpalIndRegistration.
OpalParamSetUpCall * | GetCallSetUp () const
| Used by OpalCmdSetUpCall/OpalIndProceeding/OpalIndAlerting/OpalIndEstablished.
OpalStatusIncomingCall * | GetIncomingCall () const
| Used by OpalIndIncomingCall.
OpalParamAnswerCall * | GetAnswerCall () const
| Used by OpalCmdAnswerCall/OpalCmdAlerting.
OpalStatusUserInput * | GetUserInput () const
| Used by OpalIndUserInput/OpalCmdUserInput.
OpalStatusMessageWaiting * | GetMessageWaiting () const
| Used by OpalIndMessageWaiting.
OpalStatusLineAppearance * | GetLineAppearance () const
| Used by OpalIndLineAppearance.
OpalStatusCallCleared * | GetCallCleared () const
| Used by OpalIndCallCleared.
OpalParamCallCleared * | GetClearCall () const
| Used by OpalCmdClearCall.
OpalStatusMediaStream * | GetMediaStream () const
| Used by OpalIndMediaStream/OpalCmdMediaStream.
OpalParamSetUserData * | GetSetUserData () const
| Used by OpalCmdSetUserData.
OpalParamRecording * | GetRecording () const
| Used by OpalCmdStartRecording.
OpalStatusTransferCall * | GetTransferStatus () const
| Used by OpalIndTransferCall.
OpalPresenceStatus * | GetPresenceStatus () const
| Used by OpalCmdAuthorisePresence/OpalCmdSubscribePresence/OpalIndPresenceChange/OpalCmdSetLocalPresence.
OpalInstantMessage * | GetInstantMessage () const
| Used by OpalCmdSendIM/OpalIndReceiveIM.

## Protected Attributes

OpalMessage * | m_message

## Friends

class | OpalContext

## Detailed Description

Wrapper around the OpalMessage structure.

## Constructor & Destructor Documentation

OpalMessagePtr::OpalMessagePtr | ( | OpalMessageType | type = `OpalIndCommandError` | ) |

OpalMessagePtr::~OpalMessagePtr | ( |  | ) |

## Member Function Documentation

OpalParamAnswerCall* OpalMessagePtr::GetAnswerCall | ( |  | ) | const

Used by OpalCmdAnswerCall/OpalCmdAlerting.

OpalStatusCallCleared* OpalMessagePtr::GetCallCleared | ( |  | ) | const

Used by OpalIndCallCleared.

OpalParamSetUpCall* OpalMessagePtr::GetCallSetUp | ( |  | ) | const

Used by OpalCmdSetUpCall/OpalIndProceeding/OpalIndAlerting/OpalIndEstablished.

const char* OpalMessagePtr::GetCallToken | ( |  | ) | const

Used by OpalCmdHoldCall/OpalCmdRetrieveCall/OpalCmdStopRecording.

OpalParamCallCleared* OpalMessagePtr::GetClearCall | ( |  | ) | const

Used by OpalCmdClearCall.

const char* OpalMessagePtr::GetCommandError | ( |  | ) | const

Used by OpalIndCommandError.

OpalParamGeneral* OpalMessagePtr::GetGeneralParams | ( |  | ) | const

Used by OpalCmdSetGeneralParameters.

OpalStatusIncomingCall* OpalMessagePtr::GetIncomingCall | ( |  | ) | const

Used by OpalIndIncomingCall.

OpalInstantMessage* OpalMessagePtr::GetInstantMessage | ( |  | ) | const

Used by OpalCmdSendIM/OpalIndReceiveIM.

OpalStatusLineAppearance* OpalMessagePtr::GetLineAppearance | ( |  | ) | const

Used by OpalIndLineAppearance.

OpalStatusMediaStream* OpalMessagePtr::GetMediaStream | ( |  | ) | const

Used by OpalIndMediaStream/OpalCmdMediaStream.

OpalStatusMessageWaiting* OpalMessagePtr::GetMessageWaiting | ( |  | ) | const

Used by OpalIndMessageWaiting.

OpalPresenceStatus* OpalMessagePtr::GetPresenceStatus | ( |  | ) | const

Used by OpalCmdAuthorisePresence/OpalCmdSubscribePresence/OpalIndPresenceChange/OpalCmdSetLocalPresence.

OpalParamProtocol* OpalMessagePtr::GetProtocolParams | ( |  | ) | const

Used by OpalCmdSetProtocolParameters.

OpalParamRecording* OpalMessagePtr::GetRecording | ( |  | ) | const

Used by OpalCmdStartRecording.

OpalParamRegistration* OpalMessagePtr::GetRegistrationInfo | ( |  | ) | const

Used by OpalCmdRegistration.

OpalStatusRegistration* OpalMessagePtr::GetRegistrationStatus | ( |  | ) | const

Used by OpalIndRegistration.

OpalParamSetUserData* OpalMessagePtr::GetSetUserData | ( |  | ) | const

Used by OpalCmdSetUserData.

OpalStatusTransferCall* OpalMessagePtr::GetTransferStatus | ( |  | ) | const

Used by OpalIndTransferCall.

OpalMessageType OpalMessagePtr::GetType | ( |  | ) | const

OpalStatusUserInput* OpalMessagePtr::GetUserInput | ( |  | ) | const

Used by OpalIndUserInput/OpalCmdUserInput.

void OpalMessagePtr::SetCallToken | ( | const char * | token | ) |

void OpalMessagePtr::SetType | ( | OpalMessageType | type | ) |

## Friends And Related Function Documentation

friend class OpalContext `[friend]`

## Field Documentation

OpalMessage* OpalMessagePtr::m_message `[protected]`

The documentation for this class was generated from the following file:

- opal.h